package zero1hd.rhythmbullet.audio.analyzer;

import com.badlogic.gdx.utils.FloatArray;

public class AudioAnalyzerSection {
	private int lower, upper, thresholdRange;
	private float thresholdFactor;
	private FloatArray peaks;
	private int pUID;
	
	public AudioAnalyzerSection(int lowerBin, int upperBin, float thresholdFactor, int thresholdRange) {
		this.upper = upperBin;
		this.lower = lowerBin;
		this.thresholdRange = thresholdRange;
		this.thresholdFactor = thresholdFactor;
	}
	
	public void setPUID(int pUID) {
		this.pUID = pUID;
	}
	
	public void setPeaks(FloatArray peaks) {
		this.peaks = peaks;
	}
	
	public int getLower() {
		return lower;
	}
	
	public int getUpper() {
		return upper;
	}
	
	public float getThresholdFactor() {
		return thresholdFactor;
	}
	
	public int getThresholdRange() {
		return thresholdRange;
	}
	
	public FloatArray getPeaks() {
		return peaks;
	}
	
	public int getPUID() {
		return pUID;
	}
}
